Holger's Java API

## com.antelmann.db
Class DBReferenceFilter

    java.lang.Object
      com.antelmann.db.DBReferenceFilter

All Implemented Interfaces:
  Filter<DBReference>

    public class DBReferenceFilter

extends Object
implements Filter<DBReference>

convenience class that allows to filter references by their reference class

Since:
  04.11.2010, 15:39:28
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`DBReferenceFilter(Class<?>... allowedClasses)`

Method Summary
`boolean` `accept(DBReference entry)` returns true only if the given entry is accepted by this filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBReferenceFilter

    public DBReferenceFilter(Class<?>... allowedClasses)

Method Detail

### accept

    public boolean accept(DBReference entry)

  Description copied from interface: `Filter`
  returns true only if the given entry is accepted by this filter

  Specified by:
    `accept` in interface `Filter<DBReference>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads